KDE 4.7 PyKDE API Reference

- KDE's Python API

# KEmoticonsProvider Class Reference

`from PyKDE4.kutils import *`

Inherits: QObject

## Detailed Description

This is the base class for the emoticons provider plugins

## Enumerations
AddEmoticonOption | { DoNotCopy, Copy }
## Methods
| __init__ (self, QObject parent=0)
bool | addEmoticon (self, QString emo, QString text, KEmoticonsProvider.AddEmoticonOption option=KEmoticonsProvider.DoNotCopy)
| addEmoticonIndex (self, QString path, QStringList emoList)
| addEmoticonsMap (self, QString key, QStringList value)
| clearEmoticonsMap (self)
| createNew (self)
{QString:QStringList} | emoticonsMap (self)
QString | fileName (self)
bool | loadTheme (self, QString path)
bool | removeEmoticon (self, QString emo)
| removeEmoticonIndex (self, QString path, QStringList emoList)
| removeEmoticonsMap (self, QString key)
| save (self)
| setThemeName (self, QString name)
QString | themeName (self)
QString | themePath (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Default constructor

bool addEmoticon | ( | self, |
|  | QString | emo,
|  | QString | text,
|  | KEmoticonsProvider.AddEmoticonOption | option=KEmoticonsProvider.DoNotCopy
| ) |  |  |

Add the emoticon emo with text text

Parameters:

  | emo | path to the emoticon image
  | text | the text of the emoticon separated by space for multiple text
  | copy | whether or not copy emo into the theme directory

Returns:
  true if it can add the emoticon

addEmoticonIndex | ( | self, |
|  | QString | path,
|  | QStringList | emoList
| ) |  |  |

Add an emoticon to the index

Parameters:

  | path | path to the emoticon
  | emoList | list of text associated with this emoticon

addEmoticonsMap | ( | self, |
|  | QString | key,
|  | QStringList | value
| ) |  |  |

Insert a new item in the emoticons map

clearEmoticonsMap | ( |  | self ) |

Clears the emoticons map

createNew | ( |  | self ) |

Create a new theme

{QString:QStringList} emoticonsMap | ( |  | self ) |

Returns a QHash that contains the emoticons path as keys and the text as values

QString fileName | ( |  | self ) |

Returns the file name of the theme

bool loadTheme | ( | self, |
|  | QString | path
| ) |  |  |

Load the theme inside the directory path

Parameters:

  | path | path to the directory

bool removeEmoticon | ( | self, |
|  | QString | emo
| ) |  |  |

Remove the emoticon emo, this will not delete the image file too

Parameters:

  | emo | the emoticon text to remove

Returns:
  true if it can delete the emoticon

removeEmoticonIndex | ( | self, |
|  | QString | path,
|  | QStringList | emoList
| ) |  |  |

Remove an emoticon from the index

Parameters:

  | path | path to the emoticon
  | emoList | list of text associated with this emoticon

removeEmoticonsMap | ( | self, |
|  | QString | key
| ) |  |  |

Remove an item from the emoticons map

save | ( |  | self ) |

Save the emoticon theme

setThemeName | ( | self, |
|  | QString | name
| ) |  |  |

Set the theme name

Parameters:

  | name | name of the theme

QString themeName | ( |  | self ) |

Returns the theme name

QString themePath | ( |  | self ) |

Returns the theme path

## Enumeration Documentation

AddEmoticonOption

Options to pass to addEmoticon

Enumerator:

  DoNotCopy |
  Copy |